/**
 * バインド変数.
 */
var $bind = {};

/**
 * 初期表示.
 * @param request リクエストパラメータ.
 */
function init(request) {

  // 項目1のテキストボックスの値を初期化.
  $bind.textValue = '';

  // 項目2のテキストボックスの値を初期化.
  $bind.radio = {
    value1 : 'radio1',
    value2 : 'radio2'
  };
  // 項目3のテキストボックスの値を初期化.
  $bind.check = {
    value1 : 'check1',
    value2 : 'check2'
  };

  // 項目4のセレクトボックスの値を初期化.
  $bind.selectList = [{
    type : 'group', // オプショングループを設定する際はgroupを指定する.
    label : '%CAP.Z.IWP.TENANT.SAMPLE.TUTORIAL.ITEM4.SELECT.LABEL.GROUP',
    list : [{
      label : '%CAP.Z.IWP.TENANT.SAMPLE.TUTORIAL.ITEM4.SELECT.LABEL.OPTION1',
      value : 'option1'
    }, {
      label : '%CAP.Z.IWP.TENANT.SAMPLE.TUTORIAL.ITEM4.SELECT.LABEL.OPTION2',
      value : 'option2',
      selected : true // 選択状態を設定する
    }]
  }, {
    label : '%CAP.Z.IWP.TENANT.SAMPLE.TUTORIAL.ITEM4.SELECT.LABEL.OPTION3',
    value : 'option3',
    disabled : true // 選択不可状態を設定する
  }];

  // 項目5の項目選択ダイアログのボタンの値を初期化.
  // オブジェクトの配列で指定します. ボタンは左から順番に並びます.
  $bind.dialogButtons = [{ 
    text: '%CAP.Z.IWP.TENANT.SAMPLE.TUTORIAL.DIALOG.BUTTON.OK', // ボタンのラベル
    click: 'ok' // ボタン押下時に呼び出されるグローバル関数名
  }, {
    text: '%CAP.Z.IWP.TENANT.SAMPLE.TUTORIAL.DIALOG.BUTTON.CANCEL',
    click: 'cancel'
  }];

  // 項目5の項目選択ダイアログのラジオボタンの値を初期化.
  $bind.dialogRadio = {
    value1 : 'dialogRadio1',
    value2 : 'dialogRadio2'
  };

  // 項目6のパスワードテキストボックスの値を初期化.
  $bind.passwordValue = '';

  // 項目7のテキストエリアの値を初期化.
  $bind.textareaValue = '';

  // 登録ボタン押下時の確認ダイアログのメッセージを初期化.
  // JavaScriptで利用するためオブジェクトの内容をそのまま渡します.
  $bind.dialogMessages = ({
    addConfirmTitle: MessageManager.getMessage('CAP.Z.IWP.TENANT.SAMPLE.TUTORIAL.DIALOG.CONFIRM.TITLE'),
    addConfirmMessage: MessageManager.getMessage('CAP.Z.IWP.TENANT.SAMPLE.TUTORIAL.DIALOG.CONFIRM.MESSAGE')
  }).toSource();

}

/**
 * 登録処理.
 * 
 * SSJSでリクエストパラメータの検証を行う場合は、
 * validateアノテーションでバリデーションファイルを指定します。
 * 検証はinsert関数の処理に入る前に実施されます。
 * バリデーションエラーをハンドリングしたい場合は、
 * onerrorアノテーションで関数名を指定することでエラー時の処理を追加することができます。
 * 
 * @param request リクエストパラメータ.
 * @validate sample/tutorial/edit_validator#init
 * @onerror handleErrors
 */
function insert(request) {
  // なにも処理しない.
}

/**
 * validateアノテーションで指定したバリデーションを実行した結果、
 * エラーだった場合に呼び出される処理.
 * 
 * @param request リクエストパラメータ.
 * @param validationErrors バリデーションエラー.
 */
function handleErrors(request, validationErrors) {
  // なにも処理しない.
}
